Niedrige Auflösung nach nVidia-Treiberinstallation

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

Hinweis: In dem Thema Niedrige Auflösung nach nVidia-Treiberinstallation gibt es 9 Antworten. Der letzte Beitrag () befindet sich ganz unten auf dieser Seite.
  • Niedrige Auflösung nach nVidia-Treiberinstallation

    Hallo zusammen,

    heute wollte ich unter openSUSE Leap 15.0 die proprietären Treiber für meine nVidia-Grafikkarte installieren. Ich habe

    Quellcode

    1. > hwinfo --gfxcard
    2. [...]
    3. Model: "nVidia GM107 [GeForce GTX 750]"
    4. [...]


    Die Suche auf der nVidia-Seite zeigte mir die Treiberversion 410.78 als passend an. Nach den Beschreibungen auf der openSUSE-Seite hatte ich nun das nVidia-Community-Repository in Yast hinzugefügt, den Treiber x11-video-nvidiaG05 als passend identifiziert und diesen (zusammen mit den automatisch zusätzlich ausgewählten Paketen) installiert, was nach Ausgabe von Yast auch erfolgreich abgeschlossen wurde. Nach einem Neustart zeigt nun allerdings die grafische Oberfläche in KDE nur eine Auflösung von 640x480, die auch über die Anzeige-Einstellungen nicht zu ändern ist. Tatsächlich scheint auch der nVidia-Treiber gar nicht aktiv zu sein, denn als einzige Treiberinformation erhalte ich

    Quellcode

    1. > hwinfo --gfxcard
    2. [...]
    3. Driver Info #0:
    4. Driver Status: nouveau is not active
    5. Driver Activation Cmd: "modprobe nouveau"
    6. [...]
    obwohl in Yast die Pakete nvidia-computeG05, nvidia-gfxG05-kmp-default, nvidia-glG05 und x11-video-nvidiaG05 als installiert angezeigt werden. Hat jemand eine Idee, wie das Problem behoben werden könnte?

    Viele Grüße

    Marc

    PS: Da das betroffene System wegen der geringen Auflösung kaum nutzbar ist, schreibe ich derzeit von meinem Laptop aus. Die Ausgaben von Befehlen habe ich deswegen abgetippt und auf das (hoffentlich) Wesentliche beschränkt. Falls noch genauere Informationen benötigt werden, bitte gerne nochmal nachfragen.

    Für den Inhalt des Beitrages 127923 haftet ausdrücklich der jeweilige Autor: ensenbach

  • Poste:

    Quellcode

    1. /sbin/lspci -nnk | grep -EiA3 'vga|3d|display'


    Quellcode

    1. zypper se -si nvidia kernel


    Quellcode

    1. zypper lr -d


    Und bitte die komplette Ausgabe incl. der kompletten Eingabezeile.


    Quellcode

    1. cat /var/log/Xorg.0.log > xorg.log
    Das erzeugt in dem gerade aktiven Verzeichnis die Datei xorg.log, diese bitte hier an einen Beitrag anhängen.
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 127924 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Quellcode

    1. > /sbin/lspci -nnk | grep -EiA3 'vga|3d|display'
    2. 01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GM107 [GeForce GTX 750] [10de:1381] (rev a2)
    3. Subsystem: CardExpert Technology Device [10b0:1381]
    4. Kernel modules: nouveau
    5. 01:00.1 Audio device [0403]: NVIDIA Corporation Device [10de:0fbc] (rev a1)

    Brainfuck-Quellcode

    1. # zypper se -si nvidia kernel
    2. Loading repository data...
    3. Reading installed packages...
    4. S | Name | Type | Version | Arch | Repository
    5. ---+----------------------------------+---------+------------------------------------+--------+--------------------------
    6. i+ | devel_kernel | pattern | 20170319-lp150.2.6 | x86_64 | openSUSE-Leap-15.0-Oss
    7. i+ | kernel-default | package | 4.12.14-lp150.12.28.1 | x86_64 | openSUSE-Leap-15.0-Update
    8. i+ | kernel-default | package | 4.12.14-lp150.11.4 | x86_64 | openSUSE-Leap-15.0-Oss
    9. i | kernel-default-devel | package | 4.12.14-lp150.12.4.1 | x86_64 | openSUSE-Leap-15.0-Update
    10. i | kernel-devel | package | 4.12.14-lp150.12.4.1 | noarch | openSUSE-Leap-15.0-Update
    11. i | kernel-firmware | package | 20180416-lp150.1.4 | noarch | openSUSE-Leap-15.0-Oss
    12. i | kernel-macros | package | 4.12.14-lp150.12.4.1 | noarch | openSUSE-Leap-15.0-Update
    13. i | kernel-source | package | 4.12.14-lp150.12.4.1 | noarch | openSUSE-Leap-15.0-Update
    14. i | kernel-syms | package | 4.12.14-lp150.12.4.1 | x86_64 | openSUSE-Leap-15.0-Update
    15. i | nvidia-computeG05 | package | 410.78-lp150.6.1 | x86_64 | nVidia Graphics Drivers
    16. i | nvidia-gfxG05-kmp-default | package | 410.78_k4.12.14_lp150.11-lp150.6.1 | x86_64 | nVidia Graphics Drivers
    17. i | nvidia-glG05 | package | 410.78-lp150.6.1 | x86_64 | nVidia Graphics Drivers
    18. i+ | patterns-devel-base-devel_kernel | package | 20170319-lp150.2.6 | x86_64 | openSUSE-Leap-15.0-Oss
    19. i | texlive-l3kernel | package | 2017.133.svn44483-lp150.5.4 | noarch | openSUSE-Leap-15.0-Oss
    20. i | texlive-l3kernel-doc | package | 2017.133.svn44483-lp150.5.4 | noarch | openSUSE-Leap-15.0-Oss
    21. i+ | x11-video-nvidiaG05 | package | 410.78-lp150.6.1 | x86_64 | nVidia Graphics Drivers
    Alles anzeigen

    Brainfuck-Quellcode

    1. # zypper lr -d
    2. Repository priorities are without effect. All enabled repositories share the same priority.
    3. # | Alias | Name | Enabled | GPG Check | Refresh | Priority | Type | URI | Service
    4. ---+---------------------------+-----------------------------------------+---------+-----------+---------+----------+--------+-----------------------------------------------------------------------------+--------
    5. 1 | download.nvidia.com-leap | nVidia Graphics Drivers | Yes | (r ) Yes | Yes | 99 | rpm-md | https://download.nvidia.com/opensuse/leap/15.0 |
    6. 2 | openSUSE-Leap-15.0-1 | openSUSE-Leap-15.0-1 | No | ---- | ---- | 99 | rpm-md | hd:///?device=/dev/disk/by-id/usb-Intenso_Alu_Line_14110700071103-0:0-part2 |
    7. 3 | packman.inode.at-suse | Packman Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_15.0/ |
    8. 4 | repo-debug | openSUSE-Leap-15.0-Debug | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/distribution/leap/15.0/repo/oss/ |
    9. 5 | repo-debug-non-oss | openSUSE-Leap-15.0-Debug-Non-Oss | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/distribution/leap/15.0/repo/non-oss/ |
    10. 6 | repo-debug-update | openSUSE-Leap-15.0-Update-Debug | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/update/leap/15.0/oss/ |
    11. 7 | repo-debug-update-non-oss | openSUSE-Leap-15.0-Update-Debug-Non-Oss | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/update/leap/15.0/non-oss/ |
    12. 8 | repo-non-oss | openSUSE-Leap-15.0-Non-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/non-oss/ |
    13. 9 | repo-oss | openSUSE-Leap-15.0-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/oss/ |
    14. 10 | repo-source | openSUSE-Leap-15.0-Source | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/distribution/leap/15.0/repo/oss/ |
    15. 11 | repo-source-non-oss | openSUSE-Leap-15.0-Source-Non-Oss | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/distribution/leap/15.0/repo/non-oss/ |
    16. 12 | repo-update | openSUSE-Leap-15.0-Update | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/15.0/oss/ |
    17. 13 | repo-update-non-oss | openSUSE-Leap-15.0-Update-Non-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/15.0/non-oss/ |
    Alles anzeigen
    Dateien
    • xorg.log.txt

      (42,9 kB, 1 mal heruntergeladen, zuletzt: )

    Für den Inhalt des Beitrages 127925 haftet ausdrücklich der jeweilige Autor: ensenbach

  • ensenbach schrieb:

    PS: Da das betroffene System wegen der geringen Auflösung kaum nutzbar ist, schreibe ich derzeit von meinem Laptop aus. Die Ausgaben von Befehlen habe ich deswegen abgetippt und auf das (hoffentlich) Wesentliche beschränkt. Falls noch genauere Informationen benötigt werden, bitte gerne nochmal nachfragen.
    Zugriff über SSH hast du vermutlich nicht, oder?
    Ist ein Netzwerkzugang, wenn auch lokal, vorhanden? Für einen gemeinsamen Zugriff von deinem Problem-Computer und deinem Laptop.

    Ich frage nur deswegen, weil Sauerlands Befehle lange Ausgaben erzeugen. Das wäre dann sehr viel Tipparbeit für dich.

    Oooops, da der der TE doch viel schneller als ich dachte. Sorry!

    Für den Inhalt des Beitrages 127926 haftet ausdrücklich der jeweilige Autor: ThomasS

  • ThomasS schrieb:

    Zugriff über SSH hast du vermutlich nicht, oder?
    Nicht vom Laptop auf den PC direkt, aber nach dem Abtippen der ersten paar Zeilen bin ich zumindest auf die Idee gekommen, die Ausgaben in eine Textdatei zu packen, per scp vom PC auf meinen Server hochzuladen und von dort wieder auf den Laptop herunterzuladen. :)

    Für den Inhalt des Beitrages 127927 haftet ausdrücklich der jeweilige Autor: ensenbach

  • Als root:

    Quellcode

    1. zypper in -f kernel-default kernel-default-devel kernel-devel

    Rechner neu starten.

    Danach noch einmal die Treiber neu installieren:

    Quellcode

    1. zypper in -f x11-video-nvidiaG05 nvidia-glG05 nvidia-computeG05 nvidia-gfxG05-kmp-default
    Rechner wieder neu starten.
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 127928 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Der G05 scheint ein recht neuer Treiber zu sein. Für die alte GTX700-Serie tut es bei mir seit Jahren der Treiber G04. Vielleicht hilft ein Downgrade auf den älteren Treiber weiter.

    Für den Inhalt des Beitrages 127929 haftet ausdrücklich der jeweilige Autor: Forentroll

  • Allein schon das Neuinstallieren der angegebenen Kernel-Pakete mit

    Quellcode

    1. zypper in -f kernel-default kernel-default-devel kernel-devel

    und Neustarten des Rechners hat die Probleme behoben, der Befehl hwinfo zeigt nun an, dass der nVidia-Treiber verwendet wird.

    Vielen Dank allen Helfern

    Marc

    Für den Inhalt des Beitrages 127930 haftet ausdrücklich der jeweilige Autor: ensenbach

  • ensenbach schrieb:

    Allein schon das Neuinstallieren der angegebenen Kernel-Pakete mit

    Quellcode

    1. zypper in -f kernel-default kernel-default-devel kernel-devel

    und Neustarten des Rechners hat die Probleme behoben, der Befehl hwinfo zeigt nun an, dass der nVidia-Treiber verwendet wird.

    Vielen Dank allen Helfern

    Marc
    Also braucht es für die Nvidia Treiber die selben Versionsnummern im Kernel, um diese nachzubauen.
    Denn der Nvidia Treiber ist ja eigentlich für den bei der Veröffentlichung ausgelieferten Kernel gebaut und wird anscheinend bei jedem Kernel-Update neu gebaut.

    Und hier waren es unterschiedliche Versionen:

    Brainfuck-Quellcode

    1. S | Name | Type | Version | Arch | Repository
    2. ---+----------------------------------+---------+------------------------------------+--------+--------------------------
    3. i+ | devel_kernel | pattern | 20170319-lp150.2.6 | x86_64 | openSUSE-Leap-15.0-Oss
    4. i+ | kernel-default | package | 4.12.14-lp150.12.28.1 | x86_64 | openSUSE-Leap-15.0-Update
    5. i+ | kernel-default | package | 4.12.14-lp150.11.4 | x86_64 | openSUSE-Leap-15.0-Oss
    6. i | kernel-default-devel | package | 4.12.14-lp150.12.4.1 | x86_64 | openSUSE-Leap-15.0-Update
    7. i | kernel-devel | package | 4.12.14-lp150.12.4.1 | noarch | openSUSE-Leap-15.0-Update
    8. i | kernel-firmware | package | 20180416-lp150.1.4 | noarch | openSUSE-Leap-15.0-Oss
    9. i | kernel-macros | package | 4.12.14-lp150.12.4.1 | noarch | openSUSE-Leap-15.0-Update
    10. i | kernel-source | package | 4.12.14-lp150.12.4.1 | noarch | openSUSE-Leap-15.0-Update
    11. i | kernel-syms | package | 4.12.14-lp150.12.4.1 | x86_64 | openSUSE-Leap-15.0-Update
    Alles anzeigen
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 127933 haftet ausdrücklich der jeweilige Autor: Sauerland